当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 提示X driver和GLX module版本不匹配,怎么办?(差一点接近成功,几乎解决)
帖子发表于 : 2008-07-22 18:10 
头像

注册: 2008-07-19 12:44
帖子: 3437
地址: 广西(桂)南宁(邕)
送出感谢: 0 次
接收感谢: 76
启动不了X,查看Xorg.0.log记录:
(EE) NVIDIA(0): Version mismatch detected between the NVIDIA X driver and the
(EE) NVIDIA(0): NVIDIA GLX module. X driver version: 173.14.09; GLX
(EE) NVIDIA(0): module version: 169.12. Please try reinstalling the
(EE) NVIDIA(0): NVIDIA driver.
(EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)

我是用envyng装的nvidia驱动和nvidia-glx-new-envy都是最新版本了啊。
请问命令行下如何查看X driver version和GLX module version?

我曾用envyng装了低版本的nvidia驱动,
出错提示变为了glx module错误.
我应该如何解决这个问题?


最后由 yq-ysy 编辑于 2008-07-22 19:42,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-07-22 18:13 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
将驱动彻底删除后, 重装 libgl1-mesa-glx libglu1-mesa , 然后再安装驱动


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-07-22 18:16 
头像

注册: 2008-07-19 12:44
帖子: 3437
地址: 广西(桂)南宁(邕)
送出感谢: 0 次
接收感谢: 76
dpkg -l |grep nvidia
rc nvidia-glx-new 169.12+2.6.24.13-19.45 NVIDIA binary XFree86 4.x/X.Org 'new' driver
ii nvidia-glx-new-dev-envy 173.14.09+2.6.24.502-502.30 NVIDIA binary XFree86 4.x/X.Org 'new' driver
ii nvidia-glx-new-envy 173.14.09+2.6.24.502-502.30 NVIDIA binary XFree86 4.x/X.Org 'new' driver
ii nvidia-kernel-common 20051028+1ubuntu8 NVIDIA binary kernel module common files
ii nvidia-new-kernel-source-envy 173.14.09+2.6.24.502-502.30 NVIDIA binary 'new' kernel module source
ii nvidia-settings 1.0+20080304-0ubuntu1.1 Tool of configuring the NVIDIA graphics driv


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-07-22 18:17 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
不知道你的 envy 是什么东西


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-07-22 18:44 
头像

注册: 2008-07-19 12:44
帖子: 3437
地址: 广西(桂)南宁(邕)
送出感谢: 0 次
接收感谢: 76
BigSnake.NET 写道:
将驱动彻底删除后, 重装 libgl1-mesa-glx libglu1-mesa , 然后再安装驱动

按你的方法在“新立得”里重装了,还是出现同样的错误。
我现在只能在xorg.conf里指定Driver "nv"用2D的nv驱动,才能启动Xwindows
如果用3D的Driver "nvidia"驱动就有上述的“不匹配”错误。

另:envyng是一个自动安装ATI和NVIDIA驱动的傻瓜软件
sudo apt-get install envyng-gtk 即可安装这个envyng软件,
用它我解决了自己手动安装nvidia官方驱动时遇到的
Failed to load /usr/lib/xorg/modules/extensions//libglx.so 错误。

但现在能读取glx了,却不匹配,真郁闷。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-07-22 18:49 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
先删除原有的驱动, 参考顶置贴
再重装 xserver-xorg-core libgl1-mesa-glx libglu1-mesa

另外确保源是正确的

最后再安装驱动


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-07-22 18:54 
头像

注册: 2007-05-06 8:19
帖子: 7433
送出感谢: 0 次
接收感谢: 4
怎么保证?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-07-22 19:05 
头像

注册: 2008-07-19 12:44
帖子: 3437
地址: 广西(桂)南宁(邕)
送出感谢: 0 次
接收感谢: 76
冲浪板 写道:
怎么保证?

我的软件源选择的是“主服务器”总不会有问题吧?虽然慢一点20K的速度


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-07-22 19:39 
头像

注册: 2008-07-19 12:44
帖子: 3437
地址: 广西(桂)南宁(邕)
送出感谢: 0 次
接收感谢: 76
BigSnake.NET 写道:
先删除原有的驱动, 参考顶置贴
再重装 xserver-xorg-core libgl1-mesa-glx libglu1-mesa
另外确保源是正确的 最后再安装驱动


按你说的做了,起一些作用了。
呵呵,libgl1-mesa-glx libglu1-mesa这两个软件是起什么作用的?影响这么大。
我用EnvyNG自动卸载了nvidia驱动,然后用新立得重装上述三软件后,
又重启电脑,用EnvyNG再重装了nvidia驱动。现在的结果是:

Xwindows没能启动,但是Xorg.0.log里已经没有了任何(EE)错误,
但是有(WW)警告:more /var/log/Xorg.0.log.old |grep WW 输出是:

(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
(WW) NVIDIA(GPU-0): Unable to read EDID for display device CRT-1
(WW) NVIDIA(0): Unable to get display device CRT-1's EDID; cannot compute DPI
(WW) NVIDIA(0): from CRT-1's EDID.

我用的是LCD宽屏显示器,xorg.conf里相应的配置是:
Section "Screen"
Identifier "Screen0"
Device "Device0"
Monitor "Monitor0"
SubSection "Display"
Depth 24
EndSubSection
Option "AddARGBGLXVisuals" "True"
Defaultdepth 24
EndSection

Section "Monitor"
Identifier "Monitor0"
Vendorname "Unknown"
Modelname "ViewSonic VX2240w"
Horizsync 24-82
Vertrefresh 50-75
modeline "1680x1050@60" 147.14 1680 1784 1968 2256 1050 1051 1054 1087 -HSync +Vsync
Option "DPMS"
EndSection

这次是什么问题?该怎么解决?谢谢!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译